PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Types | Protected Member Functions | Friends | List of all members
PHTML::Element Class Reference

`#include <html.h>`

Inherited by PHTML::Abbrev, PHTML::Acronym, PHTML::Address, PHTML::Author, PHTML::Banner, PHTML::Big, PHTML::BlockQuote, PHTML::Body, PHTML::Bold, PHTML::BreakLine, PHTML::BulletList, PHTML::Cite, PHTML::Code, PHTML::Credit, PHTML::Definition, PHTML::DefinitionItem, PHTML::DefinitionList, PHTML::DefinitionTerm, PHTML::DeletedText, PHTML::Division, PHTML::Emphasis, PHTML::FieldElement, PHTML::Form, PHTML::Head, PHTML::Heading, PHTML::HotLink, PHTML::HTML, PHTML::ImageElement, PHTML::InsertedText, PHTML::Italic, PHTML::Keyboard, PHTML::ListHeading, PHTML::ListItem, PHTML::OrderedList, PHTML::Paragraph, PHTML::Person, PHTML::PreFormat, PHTML::Quote, PHTML::Sample, PHTML::SetTab, PHTML::SimpleList, PHTML::Small, PHTML::StrikeThrough, PHTML::Strong, PHTML::Subscript, PHTML::Superscript, PHTML::Tab, PHTML::TableData, PHTML::TableEnd, PHTML::TableHeader, PHTML::TableRow, PHTML::TableStart, PHTML::Target, PHTML::TeleType, PHTML::Title, PHTML::Underline, and PHTML::Variable.

## Public Member Functions
virtual | ~Element ()

## Protected Types
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Protected Member Functions
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const
virtual void | AddAttr (PHTML &html) const

## Friends
ostream & | operator<< (ostream &strm, const Element &elmt)

## Member Enumeration Documentation

enum PHTML::Element::OptionalCRLF
| protected

Enumerator
NoCRLF |
OpenCRLF |
CloseCRLF |
BothCRLF |

## Constructor & Destructor Documentation

virtual PHTML::Element::~Element | ( |  | ) |
| inline virtual

PHTML::Element::Element | ( | const char * | nam,
|  | const char * | att,
|  | ElementInSet | elmt,
|  | ElementInSet | req,
|  | OptionalCRLF | opt
| ) |  |
| inline protected

## Member Function Documentation

virtual void PHTML::Element::AddAttr | ( | PHTML & | html | ) | const
| protected virtual

Reimplemented in PHTML::ResetButton, PHTML::InputImage, PHTML::InputFile, PHTML::InputNumber, PHTML::RadioButton, PHTML::InputText, PHTML::HiddenField, PHTML::InputField, PHTML::TextArea, PHTML::FormField, PHTML::Option, PHTML::Select, PHTML::FieldElement, PHTML::Form, PHTML::TableStart, PHTML::ListItem, PHTML::OrderedList, PHTML::SimpleList, PHTML::Tab, PHTML::SetTab, PHTML::Image, PHTML::ImageElement, PHTML::Target, PHTML::HotLink, PHTML::PreFormat, and PHTML::Heading.

virtual void PHTML::Element::Output | ( | PHTML & | html | ) | const
| protected virtual

Reimplemented in PHTML::TableEnd, PHTML::TableStart, PHTML::DefinitionItem, PHTML::DefinitionTerm, PHTML::Title, PHTML::Body, and PHTML::Head.

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const Element & | elmt
| ) |  |
| friend

The documentation for this class was generated from the following file:

- html.h